{% extends '@CadolesCore/base.html.twig' %}


{% block pagewrapper %}
    <h1>
        Gestion des Projets
    </h1>
    
    <p>
        <a href="{{ path('cadoles_portal_config_project_submit') }}" class="btn btn-success">Ajouter un Projet</a>
        <span class="pull-right">
            <label id="labelalluser" for="alluser" class="control-label" style="margin-right:15px">Afficher les projets créés par des utilisateurs</label>
            <input id="alluser" name="alluser" type="checkbox" class="switch" onChange="switchalluser();">
        </span>         
    </p>

    <div class="panel panel-primary">
        <div class="panel-heading">
            <i class="fa fa-table fa-fw"></i> Liste des Projets
        </div>

        <div class="panel-body">
            <div class="dataTable_wrapper">
                <table class="table table-striped table-bordered table-hover" id="dataTables" style="width:100%">
                    <thead>
                        <tr>
                        <th width="120px" class="no-sort">Action</th>
                        <th>Nom</th>
                        <th>Propriétaire</th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>
{% endblock %}

{% block localjavascript %}
    $(document).ready(function() {
        $(".switch").bootstrapSwitch();
        {% if not app.session.get('alluserproject') is empty %}
            var state={{ app.session.get('alluserproject') }};
            $("#alluser").bootstrapSwitch('state',state);   
        {% endif %}
        
        table=$('#dataTables').DataTable({
            columnDefs: [ { "targets": 'no-sort', "orderable": false } ],
            responsive: true,
            iDisplayLength: 100,
            order: [[ 1, "asc" ]],
            processing: true,
            serverSide: true,
        	ajax: {
                "url": "{{ path('cadoles_portal_config_project_ajax_list') }}",
                "data": function ( d ) {
                    return $.extend( {}, d, {
                        "alluser": $('#alluser').bootstrapSwitch('state')
                    });
                }
            },             
            drawCallback: function(settings) {
                $("a[data-method='delete']").click(function(){
                    if( !confirm('Êtes-vous sûr de vouloir supprimer ce calendrier ?')) {
                        return false;
                    }        
                });               
            }            
        });

     
    });

    function switchalluser() {
        if (typeof table !== 'undefined') {
            table.ajax.reload();
        }

        var check = $('#alluser').bootstrapSwitch('state');
        if(check) 
            $("#labelalluser").html("Afficher les projets non liés à un utilisateur");
        else
            $("#labelalluser").html("Afficher les projets créés par des utilisateurs");        
    }

{% endblock %}
